# Regenerate Bad Tests

In case, you're not satisfied with a generated test for a method, you can ask for a regeneration of it.&#x20;

Follow the steps:

1. Delete the corresponding file of the test.
2. Run the generation `dart run welltested:ai build`

> 💡: If you've multiple bad tests with same mistakes, you can fix one of them and save it back to the system. Then regenerate the others again and the mistake will be automatically fixed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.welltested.ai/v1/welltested-ai/unit-tests/good-to-knows/regenerate-bad-tests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
